%define oname pygobject

%define api 2.0
%define major 0
%define libname %mklibname pyglib %api %major

%define url_ver	%(echo %{version}|cut -d. -f1,2)

# ChangeLog breaks autogenerated typelib() requires
%global __provides_exclude_from %{_docdir}/%{name}/ChangeLog
%global __requires_exclude_from %{_docdir}/%{name}/ChangeLog

Summary: GObject Python bindings 
Name: python-gobject
Version: 2.28.6
Release: %mkrel 7
Source0: http://download.gnome.org/sources/%{oname}/%{url_ver}/%{oname}-%{version}.tar.xz
Patch: pygobject-2.16.1-fixdetection.patch
Patch2: pygobject-2.26.0-format-strings.patch
Patch3: pygobject-2.21.1-fix-link.patch
Patch4: pygobject-2.28.6-type.patch
Patch5: pygobject-2.28.6-historyentry.patch
License: LGPLv2+
Group: Development/Python
Url: http://www.gnome.org
BuildRequires: python-devel
BuildRequires: glib2-devel
BuildRequires: ffi5-devel
BuildRequires: python-cairo-devel
BuildRequires: gtk-doc
BuildRequires: automake
Provides:       python-gobject2 = %{version}-%release

%description
This archive contains bindings for the GObject, to be used in Python
It is a fairly complete set of bindings, it's already rather useful, 
and is usable to write moderately complex programs.  (see the
examples directory for some examples of the simpler programs you could
write).

%package devel
Group: Development/Libraries
Summary: Python-gobject development files
Requires: %name = %version
Requires: ffi5-devel

%description devel
This contains the python-gobject development files, including C
header, pkg-config file, gtk-doc generated API documentation and a code
generation tool.

%prep
%setup -q -n %oname-%version
%patch -p1 -b .fixdetection
%patch3 -p0
%patch4 
%patch5 -p1

%build
%configure2_5x --disable-introspection
%make

%install
rm -rf %{buildroot}
%makeinstall_std

chmod 755 %buildroot%_datadir/pygobject/xsl/fixxref.py

find %{buildroot} -name '*.la' | xargs rm

%files
%doc README NEWS AUTHORS ChangeLog
%py_platsitedir/pygtk*
%py_platsitedir/gtk-2.0
%py_platsitedir/glib
%py_platsitedir/gobject
%_libdir/libpyglib-%api-python.so.%{major}*

%files devel
%_bindir/pygobject-codegen-2.0
%_libdir/pkgconfig/*.pc
%_libdir/libpyglib-%api-python.so
%_includedir/pygtk-2.0/
%_datadir/gtk-doc/html/pygobject/
%_datadir/pygobject


%changelog
* Sun Sep 20 2015 bb <bb> 2.28.6-7pclos2015
- rebuild for updates

* Sat Aug 10 2013 bb <bb> 2.28.6-6pclos2013
- update
